%define realver 1.2-8
%define version %(echo %realver | tr - .)

Name: mpfc
Version: %version
Release: alt1

Summary: MPFC is music player for console
License: GPL
Group: Sound

Url: http://mpfc.sourceforge.net
Source: %name-%realver.tar.bz2

Patch0: %name-1.1.1-alt-texinfo.patch

Requires(post): %install_info
Requires(preun): %uninstall_info

# Automatically added by buildreq on Fri Apr 16 2004
BuildRequires: libgpm-devel libmad-devel libncurses-devel libogg-devel libtinfo-devel libvorbis-devel

%description
MPFC is an abbrevation for Music Player For Console.
It is a full-featured curses-based playlist-oriented player.

%prep
%setup -q -n %name-%realver
%patch0 -p1

%build
%configure --disable-static
%make_build LDFLAGS="-release %version"

%install
%make_install install DESTDIR=%buildroot
%__rm -fv %buildroot%_libdir/%name/*/*.la
%find_lang %name

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files -f %name.lang
%_bindir/%name
%_libdir/*.so*
%_libdir/%name/
%_man1dir/%name.*
%_infodir/%name.*

%changelog
* Thu Apr 15 2004 Alexey Tourbin <at@altlinux.ru> 1.2.8-alt1
- 1.2-4 -> 1.2-8
- util_strncpy.patch merged upstream

* Fri Mar 05 2004 Alexey Tourbin <at@altlinux.ru> 1.2.4-alt1
- 1.2-4
- alt-set-m_tail.patch merged upstream
- alt-util_strncpy.patch: fixed strcpy(3) inside util_strncpy()

* Sat Feb 28 2004 Alexey Tourbin <at@altlinux.ru> 1.2.2-alt1
- 1.2-2
- alt-set-m_tail.patch: fixed a bug in linked list processing

* Sun Feb 15 2004 Alexey Tourbin <at@altlinux.ru> 1.2-alt1
- 1.2
- non-pic code stuff fixed upstream
- use `libtool -release' to set SONAMEs according to package version

* Wed Feb 04 2004 Alexey Tourbin <at@altlinux.ru> 1.1.1-alt1.1
- added dependencies on install/uninstall-info
- better fix for non-pic code (convenience libtool libraries)

* Tue Feb 03 2004 Alexey Tourbin <at@altlinux.ru> 1.1.1-alt1
- updated to 1.1.1
- fixed non-pic code in plugins
- static libraries and .la files not packaged
- info page packaged
- description updated
- cleanup_spec applied

* Mon Oct 27 2003 Alexey Voinov <voins@altlinux.ru> 1.0-alt1
- new version (1.0)

* Wed Oct 15 2003 Alexey Voinov <voins@altlinux.ru> 0.3-alt1
- initial build
